# -*-coding:Latin-1 -*
"""serveur"""
import socket
import os

#### intialisation des variables ####
hote = ''
port = 6660
serveur_lance = False


try:
   cnn = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
   cnn.bind((hote, port))
   cnn.listen(5)
   print("Le serveur ecoute a present sur le port {}".format(port))
   serveur_lance = True
except:
   print("Impossible de demarrer le serveur") 

while serveur_lance:
    #tant que le serveur est lance, il reste disponible a de nouvelles connexions
    try:
       cnnClient, adresse = cnn.accept()
       cnn.settimeout(0.01)
       msgClient = cnnClient.recv(1024)
       msgClient = msgClient.decode()
       print(msgClient)
       reponse = "salut, c'est oli"
       cnnClient.send(reponse.encode())    
    except:
       pass

os.system("pause")    
cnn.close()
